<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useStepDataTable](./react.usestepdatatable.md)

## useStepDataTable() function

<b>Signature:</b>

```typescript
export declare function useStepDataTable(step: Step, workflow: Workflow | undefined, input?: string | undefined, table?: ColumnTable | undefined): ColumnTable | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  step | Step |  |
|  workflow | Workflow \| undefined |  |
|  input | string \| undefined | <i>(Optional)</i> |
|  table | ColumnTable \| undefined | <i>(Optional)</i> |

<b>Returns:</b>

ColumnTable \| undefined

